pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfodNonBlockingInput Class Reference

`#include <pfodNonBlockingInput.h>`

Inherits Stream.

## Public Member Functions
| pfodNonBlockingInput ()
| constuctor More...
pfodNonBlockingInput * | connect (Stream *_io)
| connect to Stream* to read from More...
void | clearInput ()
| Will clear any more input until nothing received for NON_BLOCKING_INPUT_CLEAR_TIMEOUT_MS, i.e. More...
int | readInputLine (char *buffer, size_t length, bool echo=false)
int | readInputLine (uint8_t *buffer, size_t length, bool echo=false)
virtual size_t | write (uint8_t)
virtual size_t | write (const uint8_t *buf, size_t size)
virtual int | available ()
virtual int | read ()
virtual int | peek ()
virtual void | flush ()

## Detailed Description

Definition at line 15 of file pfodNonBlockingInput.h.

## Constructor & Destructor Documentation

## ◆ pfodNonBlockingInput()

pfodNonBlockingInput::pfodNonBlockingInput | ( |  | ) |

constuctor

## Member Function Documentation

## ◆ available()

virtual int pfodNonBlockingInput::available | ( |  | ) |
| virtual

## ◆ clearInput()

void pfodNonBlockingInput::clearInput | ( |  | ) |

Will clear any more input until nothing received for NON_BLOCKING_INPUT_CLEAR_TIMEOUT_MS, i.e.

10mS

## ◆ connect()

pfodNonBlockingInput* pfodNonBlockingInput::connect | ( | Stream * | _io | ) |

connect to Stream* to read from

## ◆ flush()

virtual void pfodNonBlockingInput::flush | ( |  | ) |
| virtual

## ◆ peek()

virtual int pfodNonBlockingInput::peek | ( |  | ) |
| virtual

## ◆ read()

virtual int pfodNonBlockingInput::read | ( |  | ) |
| virtual

## ◆ readInputLine() [1/2]

int pfodNonBlockingInput::readInputLine | ( | char * | buffer,
|  | size_t | length,
|  | bool | echo = `false`
| ) |  |

## ◆ readInputLine() [2/2]

int pfodNonBlockingInput::readInputLine | ( | uint8_t * | buffer,
|  | size_t | length,
|  | bool | echo = `false`
| ) |  |
| inline

Definition at line 41 of file pfodNonBlockingInput.h.

## ◆ write() [1/2]

virtual size_t pfodNonBlockingInput::write | ( | const uint8_t * | buf,
|  | size_t | size
| ) |  |
| virtual

## ◆ write() [2/2]

virtual size_t pfodNonBlockingInput::write | ( | uint8_t |  | ) |
| virtual